Package org.springframework.security.web.authentication.session

# Class AbstractSessionFixationProtectionStrategy.NullEventPublisher

java.lang.Object
org.springframework.security.web.authentication.session.AbstractSessionFixationProtectionStrategy.NullEventPublisher

All Implemented Interfaces:
  `org.springframework.context.ApplicationEventPublisher`

Enclosing class:
  AbstractSessionFixationProtectionStrategy

protected static final class AbstractSessionFixationProtectionStrategy.NullEventPublisher extends Object implements org.springframework.context.ApplicationEventPublisher

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NullEventPublisher()`

## Method Summary

Modifier and Type
Method
Description
`void`
`publishEvent(Object event)`
`void`
`publishEvent(org.springframework.context.ApplicationEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullEventPublisher

protected NullEventPublisher()

## Method Details

### publishEvent

public void publishEvent(org.springframework.context.ApplicationEvent event)

Specified by:
  `publishEvent` in interface `org.springframework.context.ApplicationEventPublisher`

### publishEvent

public void publishEvent(Object event)

Specified by:
  `publishEvent` in interface `org.springframework.context.ApplicationEventPublisher`